Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.alignment
Class NoGapAtThisPositionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--uk.ac.man.bioinf.sequence.alignment.NoGapAtThisPositionException

All Implemented Interfaces:
  Serializable

public class NoGapAtThisPositionException
extends RuntimeException

NoGapAtThisPositionException.java Created: Sat Mar 4 14:04:07 2000

Version:
  $Id: NoGapAtThisPositionException.java,v 1.3 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord
See Also:
  Serialized Form

Constructor Summary
`NoGapAtThisPositionException(GappedSequence source, int index)`
`NoGapAtThisPositionException(String message)`
`NoGapAtThisPositionException(String message, GappedSequence source, int index)` Creates an object signalling an exception for no gap at a particular position.

Method Summary
`int` | `getIndex()`
`GappedSequence` | `getSource()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoGapAtThisPositionException

    public NoGapAtThisPositionException(String message)

### NoGapAtThisPositionException

    public NoGapAtThisPositionException(String message,
                                        GappedSequence source,
                                        int index)

  Creates an object signalling an exception for no gap at a particular position. This constructor stores the source and index within the source where the exception was raised.

Parameters:
  `message` - the message to use
  `source` - the gapped sequence or source
  `index` - the index in the source of the raised

### NoGapAtThisPositionException

    public NoGapAtThisPositionException(GappedSequence source,
                                        int index)

Method Detail

### getSource

    public GappedSequence getSource()

### getIndex

    public int getIndex()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD